Draft: Imposta un piano di lavoro Proxy

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft SetWorkingPlaneProxy and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎română
Arrow-left.svg Draft AutoGroup.svg AutoGruppo Pagina precedente:

Draft SetWorkingPlaneProxy.svg Piano proxy

Posizione nel menu
Draft → Utilità → Crea piano di lavoro proxy
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Seleziona piano


Descrizione

Questo comando posiziona un oggetto Piano proxy allineato al corrente Piano di lavoro.

Questo oggetto proxy può essere usato come una faccia per cambiare rapidamente il piano di lavoro usando lo strumento Seleziona piano. La posizione della telecamera e la visibilità degli oggetti nella vista 3D possono essere salvati nell'oggetto proxy e ripristinati in qualsiasi momento quando viene utilizzato lo strumento Seleziona piano.

Draft WPProxy example.png

Tre piani di lavoro proxy con diversi orientamenti e offset


Uso

  1. Assicurarsi che il Piano di lavoro sia impostato come si desidera.
  2. Poi andare nel menu Draft → Utilità → Draft SetWorkingPlaneProxy.png Crea un piano di lavoro Proxy.

Note:

  • Il piano di lavoro memorizzato nell'oggetto Proxy può essere ripristinato facendo doppio clic sull'oggetto nella vista ad albero o selezionando l'oggetto Proxy e utilizzando il pulsante Draft SelectPlane.svg Seleziona piano.
  • La posizione della telecamera è memorizzata nell'oggetto Proxy al momento della creazione. Questa posizione può essere aggiornata in qualsiasi momento: zoom, panoramica e rotazione della vista come desiderato, quindi fare clic con il pulsante destro del mouse sull'oggetto piano Proxy nella vista ad albero e selezionare Draft SelectPlane.svg Write camera position.
  • Al momento della creazione nell'oggetto Proxy viene anche memorizzato lo stato di visibilità di tutti gli oggetti. Questo stato può essere aggiornato in qualsiasi momento: impostare la proprietà VIEWVisibility degli oggetti su True o False come desiderato, quindi fare clic con il pulsante destro del mouse sull'oggetto Proxy nella vista ad albero e selezionare Draft SelectPlane.svg Write objects state.
  • I piani proxy possono essere spostati e ruotati come qualsiasi altro oggetto in modo che definire il piano di lavoro desiderato. Il loro aspetto visivo può essere cambiato nell'editor delle proprietà.

Proprietà

Dati

  • DATAPlacement: specifica la posizione dell'oggetto proxy e il piano di lavoro corrispondente.
    • DATAPosition: specifica le coordinate dell'oggetto proxy.
    • DATAAngle: specifica l'angolo di rotazione dell'oggetto proxy.
    • DATAAxis: specifica l'asse da utilizzare per l'angolo di rotazione.

Vista

  • VIEWDisplay Size: specifica sia la lunghezza che la larghezza dell'oggetto proxy. Se l'oggetto viene creato nella vista ad albero ma nella vista 3D non è visibile nessun elemento, aumentare questo valore fino a renderlo visibile.
  • VIEWArrow Size: specifica la dimensione delle frecce che indicano i tre assi del piano proxy.
  • VIEWRestore View: se è True la posizione della telecamera viene ripristinata nella posizione salvata quando si utilizza il proxy con Draft SelectPlane.svg Seleziona piano o facendo doppio clic su di esso.
  • VIEWRestore State: se è True lo stato di visibilità di tutti gli oggetti viene ripristinato allo stato salvato quando si utilizza il proxy con Draft SelectPlane.svg Seleziona piano o facendo doppio clic su di esso.

Script

Vedere anche: API Draft e Nozioni di base sugli script di FreeCAD.

L'oggetto Piano di lavoro proxy può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

WPProxy = makeWorkingPlaneProxy(placement)
  • Cre un oggetto WPProxy con il placement dato, che è un FreeCAD.Placement.
    • Un posizionamento è definito da un punto base, dato dal suo FreeCAD.Vector, e una FreeCAD.Rotation.

La dimensione del piano proxy può essere modificata sovrascrivendo i suoi attributi ViewObject.DisplaySize e ViewObject.ArrowSize, con le unità in millimetri.

Il piano proxy ha un oggetto "Face" come suo attributo Shape. Questa faccia può essere utilizzata per impostare il piano di lavoro corrente chiamando il suo metodo alignToFace().

Esempio:

import FreeCAD, FreeCADGui, Draft

currentWP = FreeCAD.DraftWorkingPlane
place = currentWP.getPlacement()

WPProxy = Draft.makeWorkingPlaneProxy(place)
WPProxy.ViewObject.DisplaySize = 3000
WPProxy.ViewObject.ArrowSize = 200

YAxis = FreeCAD.Vector(0, 1, 0)
point2 = FreeCAD.Vector(3000, 0, 0)
place2 = FreeCAD.Placement(point2, FreeCAD.Rotation(YAxis, 90))

WPProxy2 = Draft.makeWorkingPlaneProxy(place2)
WPProxy2.ViewObject.DisplaySize = 3000
WPProxy2.ViewObject.ArrowSize = 200

Axis = FreeCAD.Vector(1, 1, 1)
point3 = FreeCAD.Vector(-3000, 3000, 0)
place3 = FreeCAD.Placement(point3, FreeCAD.Rotation(Axis, 90))

WPProxy3 = Draft.makeWorkingPlaneProxy(place3)
WPProxy3.ViewObject.DisplaySize = 3000
WPProxy3.ViewObject.ArrowSize = 200
FreeCAD.ActiveDocument.recompute()

currentWP.alignToFace(WPProxy3.Shape)
FreeCADGui.Snapper.setGrid()
Arrow-left.svg Draft AutoGroup.svg AutoGruppo Pagina precedente: